<?php

IF (POST('ok')){
  
  $err_data = 0;
  
  $name = ADSL(POST('name'));
  $message = ADSL(POST('message'));
  $rules = ADSL(POST('rules'));
  $motto = ADSL(POST('motto'));
  $id_cat = INTVAL(POST('id_cat'));
  $private = INTVAL(POST('private'));
  $interests = ADSL(POST('interests'));
  
  IF (STR($name) < 5){
    
    ERROR('Имя не может быть меньше 5 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) > 120){
    
    ERROR('Имя не может быть больше 120 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) > 200){
    
    ERROR('Описание не может быть больше 200 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($rules) > 250){
    
    ERROR('Правила не могут быть больше 250 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($interests) > 250){
    
    ERROR('Интересы не могут быть больше 250 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($motto) > 250){
    
    ERROR('Девиз не может быть больше 250 символов', 'session');
    $err_data = 1;
    
  }
  
  IF ($comm['NAME'] != $name && DB::GET_COLUMN("SELECT COUNT(*) FROM `COMMUNITIES` WHERE `NAME` = '".$name."' LIMIT 1") == 1){
    
    ERROR('Сообщество с таким названием уже существует', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/modules/?path=communities&section=show&id='.$comm['ID'].'&get=edit');
    
  }
  
  DB::GET_SET("UPDATE `COMMUNITIES` SET `ID_CATEGORY` = '".$id_cat."', `INTERESTS` = '".$interests."', `MOTTO` = '".$motto."', `PRIVATE` = '".$private."', `RULES` = '".$rules."', `NAME` = '".$name."', `MESSAGE` = '".$message."' WHERE `ID` = '".$comm['ID']."' LIMIT 1");
  
  IF (ACCESS('communities', NULL, 1) || MANAGEMENT == 1){
    
    LOGS('Сообщества - редактирование сообщества', $user['ID']);
    
  }
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('/modules/?path=communities&section=show&id='.$comm['ID']);
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/modules/?path=communities&section=show&id=".$comm['ID']."&get=edit'>";

ECHO "<b>".LG('Введите название')."</b> (".LG('от 5 до 120 символов')."):<br />";
HTML::INPUT('name', 'Имя', NULL, NULL, TEXT_ABSOLUTE($comm['NAME']));

ECHO "<b>".LG('Введите описание')."</b> (".LG('до 200 символов')."):<br />";
HTML::INPUT('message', 'Описание', NULL, NULL, TEXT_ABSOLUTE($comm['MESSAGE']));

ECHO "<b>".LG('Девиз')."</b> (".LG('до 250 символов')."):<br />";
HTML::INPUT('motto', 'Девиз', NULL, NULL, TEXT_ABSOLUTE($comm['MOTTO']));

ECHO "<b>".LG('Интересы')."</b> (".LG('до 250 символов')."):<br />";
HTML::INPUT('interests', 'Интересы', NULL, NULL, TEXT_ABSOLUTE($comm['INTERESTS']));

ECHO "<b>".LG('Правила')."</b> (".LG('до 250 символов')."):<br />";
HTML::INPUT('rules', 'Правила', NULL, NULL, TEXT_ABSOLUTE($comm['RULES']));

ECHO "<b>".LG('Категория').":</b><br /><select name='id_cat' class='form-control-select'>";

$data = DB::GET_STRING_ALL("SELECT * FROM `COMMUNITIES_CATEGORIES` ORDER BY `ID` DESC");

ECHO "<option value='0'>Без категории</option>";

WHILE ($list = $data->FETCH()){
  
  ECHO "<option value='".$list['ID']."' ".($comm['ID_CATEGORY'] == $list['ID'] ?" selected='selected'":NULL).">".TEXT_ABSOLUTE($list['NAME'])."</option>";

}

ECHO "</select><br />";

ECHO "<br /><b>".LG('Тип сообщества')."</b>:<br />";
ECHO "<select name='private' class='form-control-select'>";

ECHO "<option value='0' ".($comm['PRIVATE'] == 0 ?" selected='selected'":NULL)."> ".LG('Открытое сообщество')."</option>";
ECHO "<option value='1' ".($comm['PRIVATE'] == 1 ?" selected='selected'":NULL)."> ".LG('Анонимное сообщество')."</option>";
ECHO "<option value='2' ".($comm['PRIVATE'] == 2 ?" selected='selected'":NULL)."> ".LG('Сообщество по интересам')."</option>";

ECHO "</select><br /><br />";

HTML::BUTTON('btn-big ajax-button', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=communities&section=show&id=".$comm['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities'>".LG('Сообщества')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".TEXT_ABSOLUTE($comm['NAME'])."";
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;

?>